Next: _gfortran_caf_send, Previous: _gfortran_caf_register, Up: Function ABI Documentation [Contents][Index]

#### 8.2.6 `_gfortran_caf_deregister` — Deregistering coarrays

Description:

  Called to free the memory of a coarray; the processor calls this function for automatic and explicit deallocation. In case of an error, this function shall fail with an error message, unless the STAT variable is not null.

Syntax:

  `void caf_deregister (const caf_token_t *token, int *stat, char *errmsg, int errmsg_len)`

Arguments:

  stat | intent(out) Stores the STAT=; may be NULL
  errmsg | intent(out) When an error occurs, this will be set to an error message; may be NULL
  errmsg_len | the buffer size of errmsg.

NOTES

  For nonalloatable coarrays this function is never called. If a cleanup is required, it has to be handled via the finish, stop and error stop functions, and via destructors.